Bug 63253 - New Port: devel/p5-Video-Quicktime -- An interface to the OpenQuicktime library
Summary: New Port: devel/p5-Video-Quicktime -- An interface to the OpenQuicktime library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-23 05:20 UTC by Michael Johnson
Modified: 2004-02-25 01:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Johnson 2004-02-23 05:20:07 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	devel/p5-Video-OpenQuicktime
#	devel/p5-Video-OpenQuicktime/pkg-plist
#	devel/p5-Video-OpenQuicktime/pkg-descr
#	devel/p5-Video-OpenQuicktime/distinfo
#	devel/p5-Video-OpenQuicktime/Makefile
#
echo c - devel/p5-Video-OpenQuicktime
mkdir -p devel/p5-Video-OpenQuicktime > /dev/null 2>&1
echo x - devel/p5-Video-OpenQuicktime/pkg-plist
sed 's/^X//' >devel/p5-Video-OpenQuicktime/pkg-plist << 'END-of-devel/p5-Video-OpenQuicktime/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/Video/OpenQuicktime.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Video/OpenQuicktime/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Video/OpenQuicktime/OpenQuicktime.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Video/OpenQuicktime/OpenQuicktime.so
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Video/OpenQuicktime
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Video 2> /dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Video 2> /dev/null || true
END-of-devel/p5-Video-OpenQuicktime/pkg-plist
echo x - devel/p5-Video-OpenQuicktime/pkg-descr
sed 's/^X//' >devel/p5-Video-OpenQuicktime/pkg-descr << 'END-of-devel/p5-Video-OpenQuicktime/pkg-descr'
XFrom the OpenQuicktime site, http://www.openquicktime.org:
X
X"OpenQuicktime aims to be a portable library for handling Apple's
XQuickTime(TM) popular media files on Unix-like environments. It is
Xaim is to provide encoding, authoring and editing support as well
Xas video playback."
X
XOpenQuicktime is currently able to decode as well as encode video
Xand audio streams.  The Video::OpenQuicktime library currently
Xonly supports extracting diagnostic information from Quicktime files,
Xsuch as video dimensions, codecs used, and play length.
X
XWWW: http://search.cpan.org/dist/Video-OpenQuicktime
END-of-devel/p5-Video-OpenQuicktime/pkg-descr
echo x - devel/p5-Video-OpenQuicktime/distinfo
sed 's/^X//' >devel/p5-Video-OpenQuicktime/distinfo << 'END-of-devel/p5-Video-OpenQuicktime/distinfo'
XMD5 (Video-OpenQuicktime-1.02.tar.gz) = 79333783bd08dc6ab2864e72cfa062cf
XSIZE (Video-OpenQuicktime-1.02.tar.gz) = 99819
END-of-devel/p5-Video-OpenQuicktime/distinfo
echo x - devel/p5-Video-OpenQuicktime/Makefile
sed 's/^X//' >devel/p5-Video-OpenQuicktime/Makefile << 'END-of-devel/p5-Video-OpenQuicktime/Makefile'
X# New ports collection makefile for:    Video-OpenQuicktime
X# Date created:                         Sun Feb 22 23:06:26 EST 2004
X# Whom:                                 Michael Johnson <ahze@ahze.net>
X#
X# $FreeBSD: ports/devel/p5-Proc-ProcessTable/Makefile,v 1.12 2003/12/21 17:03:51 petef Exp $
X#
X
XPORTNAME=	Video-OpenQuicktime
XPORTVERSION=	1.02
XCATEGORIES=	devel multimedia perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	Video
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	ahze@ahze.net
XCOMMENT=	An interface to the OpenQuicktime library
X
XBUILD_DEPENDS=	qtinfo:${PORTSDIR}/multimedia/openquicktime \
X		${SITE_PERL}/Inline-API.pod:${PORTSDIR}/devel/p5-Inline
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XPERL_CONFIGURE=	YES
X
XMAN3=	Video::OpenQuicktime.3
X
X.include <bsd.port.mk>
END-of-devel/p5-Video-OpenQuicktime/Makefile
exit
Comment 1 Michael Johnson 2004-02-23 06:29:14 UTC
I was unable to build with perl 5.0.

--- Makefile.orig       Mon Feb 23 01:28:16 2004
+++ Makefile    Mon Feb 23 01:29:21 2004
@@ -23,4 +23,10 @@

  MAN3=  Video::OpenQuicktime.3

-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${PERL_LEVEL} <= 500600
+IGNORE= "perl 5.6 or higher is required to build this port"
+.endif
+
+.include <bsd.port.post.mk>
Comment 2 Michael Johnson 2004-02-23 06:55:26 UTC
this patch fixed building with perl 5.0

--- Makefile.orig       Mon Feb 23 01:53:28 2004
+++ Makefile    Mon Feb 23 01:52:17 2004
@@ -26,7 +26,8 @@
  .include <bsd.port.pre.mk>

  .if ${PERL_LEVEL} <= 500600
-IGNORE= "perl 5.6 or higher is required to build this port"
+       ${SED} -e "s/our $VERSION/$VERSION/g" \
+               ${WRKSRC}/OpenQuicktime.pm
  .endif

  .include <bsd.port.post.mk>
Comment 3 Ying-Chieh Liao freebsd_committer 2004-02-25 01:35:37 UTC
State Changed
From-To: open->closed

committed, thanks